corda / net.corda.core.node.services / ServiceType

# ServiceType

`sealed class ServiceType`

Identifier for service types a node can expose over the network to other peers. These types are placed into network map advertisements. Services that are purely local and are not providing functionality to other parts of the network don't need a declared service type.

### Properties

id | `val id: String`

### Functions

equals | `open operator fun equals(other: Any?): Boolean`
getSubType | `fun getSubType(subTypeId: String): ServiceType`
hashCode | `open fun hashCode(): Int`
isNotary | `fun isNotary(): Boolean`
isSubTypeOf | `fun isSubTypeOf(superType: ServiceType): Boolean`
isValidatingNotary | `fun isValidatingNotary(): Boolean`
toString | `open fun toString(): String`

### Companion Object Properties

corda | `val corda: ServiceType`
notary | `val notary: ServiceType`
regulator | `val regulator: ServiceType`

### Companion Object Functions

getServiceType | `fun getServiceType(namespace: String, typeId: String): ServiceType`
parse | `fun parse(id: String): ServiceType`